std::rank< typename >(3cxx)

NAME
std::rank< typename > - rank

SYNOPSIS

Inherits std::integral_constant< std::size_t, 0 >.

  Public Types

typedef integral_constant< std::size_t, __v > type
typedef std::size_t value_type

  Public Member Functions

constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes

static constexpr std::size_t value

Detailed Description

  template<typename>
struct std::rank< typename >" rank

Definition at line 1250 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.